Bug 48345 - New port: x11/idesk
Summary: New port: x11/idesk
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Christian Weisgerber
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-16 22:50 UTC by Sascha Holzleiter
Modified: 2003-02-27 21:58 UTC (History)
0 users

See Also:


Attachments
file.shar (2.34 KB, text/plain)
2003-02-16 22:50 UTC, Sascha Holzleiter
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sascha Holzleiter 2003-02-16 22:50:14 UTC
	New port: idesk

	idesk let you put launch icons directly on the root window of your X
	and launch applications by double clicking them.
Comment 1 corecode@corecode.ath.cx 2003-02-20 19:03:07 UTC
On Sun, 16 Feb 2003 23:48:34 +0100 (CET)
Sascha Holzleiter <sascha@root-login.org> wrote:

> sed 's/^X//' >idesk/Makefile << 'END-of-idesk/Makefile'
> X# New ports collection makefile for:   idesk
> X# Date created:                16th February 2003
> X# Whom:                        Sascha Holzleiter <sascha@root-login.org>
> X#
> X# $FreeBSD$
> X#
> X
> XPORTNAME=      idesk
> XPORTVERSION=   0.3.5
> XCATEGORIES=    x11

deskutils?

> sed 's/^X//' >idesk/files/patch-Makefile << 'END-of-idesk/files/patch-Makefile'
> X--- Makefile   Sat Nov  9 19:06:52 2002
> X+++ Makefile.orig      Sun Feb 16 16:48:23 2003
> X@@ -2,6 +2,7 @@
> X #cflags   = -g -O2 -W -Wall
> X cflags         = -g -O2

don't overwrite cflags...

> X libs   = `imlib-config --libs` -lXft
> X+incl   = -I/usr/X11R6/include -I/usr/local/include

use ${X11BASE} and ${LOCALBASE}

> X bin      = idesk
> X 
> X objs     = Desk.o Icon.o Database.o Main.o
> X@@ -14,10 +15,10 @@
> X       $(cc) $(objs) -o $(bin) $(libs)
> X 
> X $(objs): %.o: %.cc $(headers)
> X-      $(cc) $(cflags) -c $< -o $@
> X+      $(cc) $(cflags) -c $< -o $@ $(incl)
> X 
> X install:
> X-      install $(bin) /usr/local/bin
> X+      install $(bin) /usr/X11R6/bin

use ${PREFIX}

cheers
  simon

-- 
/"\   http://corecode.ath.cx/#donate
\ /
 \     ASCII Ribbon Campaign
/ \  Against HTML Mail and News
Comment 2 Sascha Holzleiter 2003-02-21 15:10:08 UTC
Thanks for the advanced portlint ; )

Fixed the non-standard sections and now also
added the README file which comes with the source.
Honor xft2 also and use GNOMENG as described in the
porters-handbook because imlib is used by this port.


Fix:


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	idesk
#	idesk/Makefile
#	idesk/pkg-plist
#	idesk/pkg-descr
#	idesk/distinfo
#	idesk/files
#	idesk/files/patch-Makefile
#	idesk/pkg-message
#
echo c - idesk
mkdir -p idesk > /dev/null 2>&1
echo x - idesk/Makefile
sed 's/^X//' >idesk/Makefile << 'END-of-idesk/Makefile'
X# New ports collection makefile for:	idesk
X# Date created:		16th February 2003
X# Whom:			Sascha Holzleiter <sascha@root-login.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	idesk
XPORTVERSION=	0.3.5
XCATEGORIES=	deskutils
XMASTER_SITES=	http://linuxhelp.hn.org/
X
XMAINTAINER=	sascha@root-login.org
XCOMMENT=	Place launch icons directly on your desktop
X
XUSE_X_PREFIX=	yes
XUSE_GMAKE=	yes
XUSE_GNOMENG=	yes
XUSE_GNOME=	imlib
X
Xdo-install:
X		${INSTALL_PROGRAM} ${WRKSRC}/idesk ${PREFIX}/bin
X
Xpost-install:
X.if !defined(NOPORTDOCS)
X		${MKDIR} ${PREFIX}/share/doc/idesk
X		${INSTALL_MAN} ${WRKSRC}/README ${PREFIX}/share/doc/idesk
X.endif
X		${CAT} pkg-message
X
X.include <bsd.port.mk>
END-of-idesk/Makefile
echo x - idesk/pkg-plist
sed 's/^X//' >idesk/pkg-plist << 'END-of-idesk/pkg-plist'
Xbin/idesk
X%%PORTDOCS%%share/doc/idesk/README
X%%PORTDOCS%%@dirrm share/doc/idesk
END-of-idesk/pkg-plist
echo x - idesk/pkg-descr
sed 's/^X//' >idesk/pkg-descr << 'END-of-idesk/pkg-descr'
XiDesk lets you put launch icons directly on the
Xroot window of your X.
X
XWWW: http://linuxhelp.hn.org/idesk.php
END-of-idesk/pkg-descr
echo x - idesk/distinfo
sed 's/^X//' >idesk/distinfo << 'END-of-idesk/distinfo'
XMD5 (idesk-0.3.5.tar.gz) = 4c87edbc3d7db462df576b7e26a04161
END-of-idesk/distinfo
echo c - idesk/files
mkdir -p idesk/files > /dev/null 2>&1
echo x - idesk/files/patch-Makefile
sed 's/^X//' >idesk/files/patch-Makefile << 'END-of-idesk/files/patch-Makefile'
X--- Makefile.orig	Sat Nov  9 19:06:52 2002
X+++ Makefile	Fri Feb 21 07:38:56 2003
X@@ -1,7 +1,6 @@
X cc       = g++
X-#cflags   = -g -O2 -W -Wall
X-cflags	 = -g -O2
X libs	 = `imlib-config --libs` -lXft
X+incl	 = -I$(X11BASE)/include -I$(LOCALBASE)/include -I$(LOCALBASE)/include/freetype2
X bin      = idesk
X 
X objs     = Desk.o Icon.o Database.o Main.o
X@@ -14,10 +13,10 @@
X 	$(cc) $(objs) -o $(bin) $(libs)
X 
X $(objs): %.o: %.cc $(headers)
X-	$(cc) $(cflags) -c $< -o $@
X+	$(cc) $(cflags) -c $< -o $@ $(incl)
X 
X install:
X-	install $(bin) /usr/local/bin
X+	install $(bin) $(PREFIX)/bin
X 
X clean:
X 	rm -f $(objs) $(bin) *~ core
END-of-idesk/files/patch-Makefile
echo x - idesk/pkg-message
sed 's/^X//' >idesk/pkg-message << 'END-of-idesk/pkg-message'
X+-----------------------------------------------------------------
X
XYou need to configure idesk before you can use it.
XA detailed explanation can be found in the README file which 
Xresides in ${PREFIX}/share/doc/idesk unless you have chosen not
Xto install it ;)
X
X-----------------------------------------------------------------+
END-of-idesk/pkg-message
exit
Comment 3 Christian Weisgerber freebsd_committer 2003-02-27 21:10:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->naddy

I'll have a look.
Comment 4 Christian Weisgerber freebsd_committer 2003-02-27 21:57:47 UTC
State Changed
From-To: open->closed

Committed with various clean-up and simplification.  Thanks!